Delete Group by Tracking ID
curl --request DELETE \
--url https://api.trieve.ai/api/chunk_group/tracking_id/{tracking_id} \
--header 'Authorization: <api-key>' \
--header 'TR-Dataset: <tr-dataset>'import requests
url = "https://api.trieve.ai/api/chunk_group/tracking_id/{tracking_id}"
headers = {
"TR-Dataset": "<tr-dataset>",
"Authorization": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'TR-Dataset': '<tr-dataset>', Authorization: '<api-key>'}
};
fetch('https://api.trieve.ai/api/chunk_group/tracking_id/{tracking_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bad Request"
}Chunk Group
Delete Group by Tracking ID
Delete a chunk_group with the given tracking id. Auth’ed user or api key must have an admin or owner role for the specified dataset’s organization.
DELETE
/
api
/
chunk_group
/
tracking_id
/
{tracking_id}
Delete Group by Tracking ID
Authorizations
Headers
The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.
Path Parameters
Tracking id of the chunk_group to delete
Query Parameters
Delete the chunks within the group
Response
Confirmation that the chunkGroup was deleted
Was this page helpful?
⌘I